<div class="container" *ngIf="info$ | async as info">
  <form [formGroup]="filterForm" (ngSubmit)="filter()">
    <div class="form-group">
      <label for="set">Set Name</label>
      <select
        id="set"
        name="set"
        class="form-control"
        formControlName="set">
        <option *ngFor="let setName of info.sets"
                [ngValue]="setName"> {{setName}}</option>
      </select>
    </div>
    <div class="form-group">
      <label for="classe"> Classe Name</label>
      <select
        name="classe"
        id="classe"
        class="form-control"
        formControlName="classe">
        <option *ngFor="let classeName of info.classes"
                [ngValue]="classeName"> {{classeName}}</option>
      </select>
    </div>
    <button class="btn btn-success" type="submit">Submit</button>
  </form>

  <ng-container *ngIf="cards$ | async as cards">
  <div class="list-group">
    <ng-container *ngFor="let card of cards">
      <a [routerLink]="card.cardId"
         class="list-group-item list-group-item-action flex-column align-items-start">
        <div class="d-flex w-100 justify-content-between">
          <h5 class="mb-1">{{card.name}}</h5>
          <small>{{card.cardId}}</small>
        </div>
        <p class="mb-1" [innerHTML]="card.text"></p>
        <small>{{card.artist}}</small>
      </a>
    </ng-container>
  </div>
  </ng-container>
</div>
